Summary:	The default startup script for the X Window System
Name:		xinitrc
Version:	2.4.21
Release:	%mkrel 4
License:	Public Domain
Group:		System/X11
URL:		http://www.mandrivalinux.com/
Source0:	gdm.conf
Source1:	GiveConsole
Source2:	kdm.conf
Source3:	TakeConsole
Source4:	x11-Xresources
Source5:	Xaccess
Source6:	xdm.conf
Source7:	xdm-config
Source8:	xdm-Xsession
Source9:	xinitrc-fixkeyboard
Source11:	xinitrc-RunWM
Source12:	xinitrc-Xclients
Source13:	xinitrc-XIM
Source14:	xinitrc-xinitrc
Source15:	xinitrc-Xmodmap
Source16:	Xresources
Source17:	Xservers
Source18:	Xsession
Source19:	Xsetup_0
Source20:	Xwilling
Source21:	xdm-Xstartup
Source22:	xdm-Xreset
Source23:	XIM.xinit
Requires:	x11-server-xorg
Requires:	x11-server-common
Requires:	xdpyinfo
Requires:	xmodmap
Requires:	xsetroot
Requires:	/bin/sh
Requires:	/bin/grep
Requires:	sessreg
Requires:	xrdb
Requires:	xhost
Requires:	coreutils
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The xinitrc package contains the xinitrc file, a script which is used
to configure your X Window System session or to start a window manager.

%prep

%install
rm -rf %{buildroot}

R=%{buildroot}/
S=%{_sourcedir}
	
mkdir -p $R%{_sysconfdir}/X11/{xdm,xinit}
install -m755 $S/Xsession $R%{_sysconfdir}/X11/
install -m644 $S/x11-Xresources $R%{_sysconfdir}/X11/Xresources

mkdir $R%{_sysconfdir}/X11/{xinit,xsetup}.d
install -m 755 $S/XIM.xinit $R%{_sysconfdir}/X11/xinit.d/02XIM
mkdir $R%{_sysconfdir}/X11/wmsession.d
mkdir -p $R%{_datadir}/X11/xdm
install -m755 $S/Xwilling $S/Xsetup_0 $S/TakeConsole $S/GiveConsole $R%{_datadir}/X11/xdm
ln -s ../../..%{_datadir}/X11/xdm/{Xwilling,Xsetup_0,TakeConsole,GiveConsole} $R%{_sysconfdir}/X11/xdm
install -m644 $S/{xdm-config,Xservers,Xresources,Xaccess} $R%{_sysconfdir}/X11/xdm
ln -s ../../../..%{_sysconfdir}/X11/xdm/{xdm-config,Xservers,Xresources,Xaccess} $R%{_datadir}/X11/xdm
install -m755 $S/xdm-Xsession $R%{_datadir}/X11/xdm/Xsession

install -m755 $S/xdm-Xreset $R%{_datadir}/X11/xdm/Xreset
install -m755 $S/xdm-Xstartup $R%{_datadir}/X11/xdm/Xstartup
ln -s ../../..%{_datadir}/X11/xdm/{Xsession,Xreset,Xstartup} $R%{_sysconfdir}/X11/xdm

install -m644 $S/xinitrc-Xmodmap $R%{_sysconfdir}/X11/Xmodmap
for i in xinitrc Xclients fixkeyboard XIM; do install -m755 $S/xinitrc-$i $R%{_sysconfdir}/X11/xinit/$i;done

mkdir -p $R%{_bindir}/
install -m755 $S/xinitrc-RunWM $R%{_bindir}/RunWM
for i in Fvwm95 MWM AfterStep WindowMaker; do ln -sf RunWM $R%{_bindir}/RunWM.$i;done

mkdir -p $R%{_datadir}/X11/dm.d
install -m644 $S/kdm.conf $R%{_datadir}/X11/dm.d/10kdm.conf
install -m644 $S/gdm.conf $R%{_datadir}/X11/dm.d/20gdm.conf
install -m644 $S/xdm.conf $R%{_datadir}/X11/dm.d/30xdm.conf

%pre
rm -rf /etc/X11/dm.d

%post
#compat link
ln -fs /usr/share/X11/dm.d /etc/X11/dm.d 
chmod 750 /root

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/X11/Xmodmap
%config(noreplace) %{_sysconfdir}/X11/Xresources
%config(noreplace) %{_sysconfdir}/X11/xdm/xdm-config
%config(noreplace) %{_sysconfdir}/X11/xdm/Xservers
%config(noreplace) %{_sysconfdir}/X11/xdm/Xresources
%config(noreplace) %{_sysconfdir}/X11/xdm/Xaccess
%{_sysconfdir}/X11/xdm
%dir %{_sysconfdir}/X11/wmsession.d
%dir %{_sysconfdir}/X11/xinit
%dir %{_sysconfdir}/X11/xinit.d
%dir %{_sysconfdir}/X11/xsetup.d
%{_sysconfdir}/X11/Xsession
%{_sysconfdir}/X11/xinit.d/02XIM
%{_sysconfdir}/X11/xinit/XIM
%{_sysconfdir}/X11/xinit/Xclients
%{_sysconfdir}/X11/xinit/fixkeyboard
%{_sysconfdir}/X11/xinit/xinitrc
%{_bindir}/*
%{_datadir}/X11/dm.d
%{_datadir}/X11/xdm

%changelog
* Mon Mar 07 2016 bb <bb> 2.4.21-4pclos2016
- add xhost+ for KDE LiveCD wireless setup

* Mon Feb 29 2016 bb <bb> 2.4.21-3pclos2016
- add export XAUTHORITY to Xsession file
- so polkit works for lxde and mate from a kdm login

* Sat Jun 04 2011 Texstar <texstar at gmail.com> 2.4.21-2pclos2011
- fix red flash on root login 

* Mon May 23 2011 Texstar <texstar at gmail.com> 2.4.21-1pclos2011
- 2.4.21 and fix numlock issue

* Sun Jul 11 2010 Texstar <texstar at gmail.com> 2.4.19-6pclos2010
- update

* Fri Jun 18 2010 Texstar <texstar at gmail.com> 2.4.19-5pclos2010
- fix xmodmap
- fix dpi 96

* Sun Jan 10 2010 Texstar <texstar at gmail.com> 2.4.19-4pclos2010
- add comp link /etc/X11/dm.d
- don't install kde3.conf since no more kde3

* Wed Jan 06 2010 Texstar <texstar at gmail.com> 2.4.19-3pclos2010
- update for 2010

